## jimfs 1.1

=== debian/changelog ===
jimfs (1.1-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop redundant debian/gbp.conf

  [ Thorsten Glaser ]
  * Build targetting Java 1.8
    Closes: #963396

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2020 17:29:41 +0200

jimfs (1.1-5) unstable; urgency=medium

  * Team upload.
  * Removed the unused dependency on findbugs
  * Removed the build dependency on maven-repo-helper,
    libmaven-compiler-plugin-java, libmaven-source-plugin-java
    and libplexus-compiler-java
  * Simplified the Maven rules
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Mar 2018 15:29:36 +0100

jimfs (1.1-4) unstable; urgency=medium

  * Team upload.
  * Update maven.rules for plexus-compiler 2.8 (Closes: #871358)

 -- tony mancill <tmancill@debian.org>  Wed, 16 Aug 2017 22:01:52 -0700

jimfs (1.1-3) unstable; urgency=medium

  * fully disable test and junit dependency

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 25 Jan 2017 23:23:00 +0100

jimfs (1.1-2) unstable; urgency=medium

  * add missing copyright statement (Closes: #849350)
  * remove unused junit dependency from POM

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 26 Dec 2016 00:44:03 +0100

jimfs (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #849191)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 23 Dec 2016 13:07:32 +0100
