=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	install -d 0755 jimfs/target/classes/META-INF/services/
	echo com.google.common.jimfs.SystemJimfsFileSystemProvider \
	  > jimfs/target/classes/META-INF/services/java.nio.file.spi.FileSystemProvider
	dh_auto_build
