=== debian/watch ===
version=3
https://github.com/google/jimfs/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
